describe('WorkerPda', () => {
    const deviceProductionField =
        '.vn-row > .q-field > .q-field__inner > .q-field__control > .q-field__control-container';
    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/worker/1110/pda`);
    });

    it('assign pda', () => {
        cy.get('.q-page-sticky > div > .q-btn > .q-btn__content > .q-icon').click();
        cy.get(deviceProductionField).type('{downArrow}{enter}');
        cy.get('.q-notification__message').should('have.text', 'Data created');
    });

    it('delete pda', () => {
        cy.get('.btn-delete').click();
        cy.get(
            '.q-card__actions > .q-btn--unelevated > .q-btn__content > .block'
        ).click();
        cy.get('.q-notification__message').should('have.text', 'PDA deallocated');
    });
});
